import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { EXERCISE_IMPORT_ROUTE } from 'app/exercise/import/exercise-import.route';
import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { ExerciseModule } from 'app/exercise/exercise.module';
import { ExerciseImportComponent } from 'app/exercise/import/exercise-import.component';
import { TagInputModule } from 'ngx-chips';
import { GitlabModule } from 'app/shared/gitlab/gitlab.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  imports: [
    RouterModule.forChild(EXERCISE_IMPORT_ROUTE),
    GitSearchV2SharedModule,
    ExerciseModule,
    TagInputModule,
    GitlabModule,
    FormsModule,
  ],
  declarations: [ExerciseImportComponent],
  exports: [ExerciseImportComponent],
})
export class ExerciseImportModule {}
